Gemini 3.1 Flash Image preview(异步任务)
google/gemini-3.1-flash-image-preview
异步任务:POST /v1/tasks/generations 提交 → GET /v1/tasks/generations/{request_id} 轮询结果(POST 发送后 request_id 自动填入 GET)。
https://router.shengsuanyun.com/apiAuthorization: Bearer YOUR_API_KEY端点列表
POST/v1/tasks/generationsGoogle 图像生成-异步
异步任务:POST 提交后返回 request_id,再用 GET /v1/tasks/generations/{request_id} 轮询结果。
请求体
application/json
object
anyOf · 1
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | |
aspect_ratio | string | 可选值:"1:1" · "1:4" · "1:8" · "3:2" · "2:3" · "3:4" · "4:1" · "4:3" · "4:5" · "5:4" · "8:1" · "9:16" · "16:9" · "21:9" |
response_modalities | array | 展开结构
数组元素
|
size | string | 可选值:"0.5K" · "1K" · "2K" · "4K" |
model必填 | string | 路由模型,本页固定为 google/gemini-3.1-flash-image-preview |
anyOf · 2
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | |
image必填 | string | |
aspect_ratio | string | 可选值:"1:1" · "1:4" · "1:8" · "3:2" · "2:3" · "3:4" · "4:1" · "4:3" · "4:5" · "5:4" · "8:1" · "9:16" · "16:9" · "21:9" |
response_modalities | array | 展开结构
数组元素
|
size | string | 可选值:"0.5K" · "1K" · "2K" · "4K" |
model必填 | string | 路由模型,本页固定为 google/gemini-3.1-flash-image-preview |
anyOf · 3
| 字段 | 类型 | 说明 |
|---|---|---|
prompt必填 | stringtextarea | |
images必填 | array | 展开结构
数组元素
|
aspect_ratio | string | 可选值:"1:1" · "1:4" · "1:8" · "3:2" · "2:3" · "3:4" · "4:1" · "4:3" · "4:5" · "5:4" · "8:1" · "9:16" · "16:9" · "21:9" |
response_modalities | array | 展开结构
数组元素
|
size | string | 可选值:"0.5K" · "1K" · "2K" · "4K" |
model必填 | string | 路由模型,本页固定为 google/gemini-3.1-flash-image-preview |
{
"aspect_ratio": "16:9",
"image": "https://oss.shengsuanyun.com/example/modelinfo/283/input_0.jpg",
"model": "google/gemini-3.1-flash-image-preview",
"prompt": "将画面中的男性替换为女性,该女性手持香蕉",
"response_modalities": [
"IMAGE"
],
"size": "1K"
}请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X POST 'https://router.shengsuanyun.com/api/v1/tasks/generations' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
--data '{
"aspect_ratio": "16:9",
"image": "https://oss.shengsuanyun.com/example/modelinfo/283/input_0.jpg",
"model": "google/gemini-3.1-flash-image-preview",
"prompt": "将画面中的男性替换为女性,该女性手持香蕉",
"response_modalities": [
"IMAGE"
],
"size": "1K"
}'响应
200 提交成功,返回 request_id / task_id
application/json
未提供结构定义。
{
"code": "success",
"message": "",
"data": {
"request_id": "REQ_xxx",
"task_id": "TASK_xxx",
"action": "GENERATION",
"status": "PENDING",
"progress": "0%"
}
}400 请求参数错误
401 未授权(API Key 无效)
429 请求过于频繁
500 服务器内部错误
GET/v1/tasks/generations/{request_id}查询异步任务状态与产物
通过 POST /v1/tasks/generations 返回的 request_id 轮询任务状态、进度与产物 URL(image_urls / video_urls / audio_urls / file_urls / text)。下方「在线测试」填入 request_id 即可发送查询;若上方 POST 已发送成功,request_id 会自动填入。
请求参数
| 参数 | 位置 / 类型 | 说明 |
|---|---|---|
request_id必填 | path / string | POST /v1/tasks/generations 返回的请求 ID |
请求示例
参考地址:https://router.shengsuanyun.com/api。路径参数与凭据需替换;非 JSON 请求体需按对应格式准备。
curl -X GET 'https://router.shengsuanyun.com/api/v1/tasks/generations/{request_id}' \
-H 'Authorization: Bearer YOUR_API_KEY'响应
200 任务状态与产物
application/json
未提供结构定义。
{
"code": "success",
"message": "",
"data": {
"request_id": "REQ_xxx",
"task_id": "TASK_xxx",
"action": "GENERATION",
"status": "COMPLETED",
"progress": "100%",
"data": {
"url": [
"https://oss.shengsuanyun.com/example/output.mp4"
]
}
}
}